Loading...
Searching...
No Matches
janus_websockets_client Struct Reference
Collaboration diagram for janus_websockets_client:
[legend]

## Data Fields

struct lws * | wsi
GAsyncQueue * | messages
char * | incoming
unsigned char * | buffer
size_t | buflen
size_t | bufpending
size_t | bufoffset
volatile gint | destroyed
janus_transport_session * | ts

## Field Documentation

## buffer

unsigned char* janus_websockets_client::buffer

## buflen

size_t janus_websockets_client::buflen

## bufoffset

size_t janus_websockets_client::bufoffset

## bufpending

size_t janus_websockets_client::bufpending

## destroyed

volatile gint janus_websockets_client::destroyed

## incoming

char* janus_websockets_client::incoming

## messages

GAsyncQueue* janus_websockets_client::messages

## ts

janus_transport_session* janus_websockets_client::ts

## wsi

struct lws* janus_websockets_client::wsi

The documentation for this struct was generated from the following file:

- janus_websockets.c